Subject: bug#12587: 24.2; Delayed startup, unresponsive Emacs in MS Windows when netlogon services is running in a domain

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Oct 2012 13:02:28 +0200

> Date: Sun, 07 Oct 2012 12:12:26 +0200
> From: Mohammed Imaduddin Humayun <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>
> 
> On 10/6/2012 7:40 PM, Eli Zaretskii wrote:
> >> Date: Sat, 06 Oct 2012 12:05:47 +0200
> >> From: Mohammed Imaduddin Humayun <[email-masked]>
> >>
> >> When netlogon service is running in the background on Windows (Win
> >> 7 here) in a networked domain (e.g. a pc/laptop on a university domain)
> >> starting Emacs usually fails or is miserably slow  although the
> >> emacs.exe process
> > What's your value of w32-get-true-file-attributes?  Can you try
> > setting it in turn to each one of the 3 possible values, and see if
> > that helps?
> >
> > If you can run Emacs under a debugger, I could ask you to check out
> > some more things.
> w32-get-true-file attributes is set to nil in my case. I tried setting 
> it to local, non-nil and nil in turn with the following results:
> (i) with netlogon service - delayed Emacs startup as reported in the bug 
> for each of the values
> (ii) without netlogon service - Emacs starts instantly in all cases

After Emacs starts, do you see slowdown in file operations, like
"C-x d" (Dired) for networked directories on the domain for which the
netlogon service runs?  Or is the slowdown limited to the startup?

Also, your original report says "starting Emacs fails or is miserably
slow".  When it fails, what message(s) do you see to the effect of the
failure?  And when it is slow, how much time does it take for Emacs to
eventually come up?

> I use the binary build which probably isn't meant for debugging. Also my 
> experience in using gdb is limited, but if provided with a debug build 
> and instructions on what to do, I can at least attempt.

Debug builds of the recent development snapshots are available from
here:

    http://alpha.gnu.org/gnu/emacs/windows/

First, please see if the same slow startup happens with the latest
snapshot.  If it does, I will give you instructions on what to do to
investigate.

Thanks.

> PS: A short screencast of the problem can be viewed here if it helps - 
> http://youtu.be/G36HpkVt8i4

Does the same happen if you start emacs.exe directly from the cmd
prompt, instead of clicking on runemacs.exe?